package fr.univlyon1.tiw1.spring;

import fr.univlyon1.tiw1.inscriptions.InscriptionsDAO;
import fr.univlyon1.tiw1.inscriptions.InscriptionsServiceImpl;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import javax.inject.Inject;

import static org.junit.Assert.assertNotNull;

/**
 * Created by ecoquery on 19/10/2016.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration("/spring/beans.xml")
public class SpringSetupTest {

    @Autowired
    InscriptionsDAO dao;

    @Autowired
    InscriptionsServiceImpl service;

    @Test
    public void testContextOK() {
        assertNotNull(dao);
        assertNotNull(service.getDao());
    }

}
