CREATE SEQUENCE IF NOT EXISTS hibernate_sequence;

CREATE TABLE event(
  id INTEGER PRIMARY KEY,
  title VARCHAR(255) NOT NULL,
  start DATETIME,
  end DATETIME
);

CREATE TABLE person(
  email VARCHAR(255) PRIMARY KEY ,
  name VARCHAR(255) NOT NULL,
  company VARCHAR(255)
);

CREATE TABLE inscriptions(
  event_id INTEGER REFERENCES event(id),
  person_email VARCHAR(255) REFERENCES person(email)
)

